
Redmine - Defect #28228

REST API Parameter GET /issues.json?assigned_to_id=me doesn't work

2018-02-21 11:21 - vishal gohil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 3.3.3

Description

I want to query only for Issues which are assigned to one user.

Example Redmine-User-Login ist "vishal-px"

so I hoped that GET /issues.json?assigned_to_id=me will deliver issues assigned to vishal-px

Even if I try GET /issues.json?assigned_to_id=342710 it doesn't work.

It always returns the blank response.

{

   issues: [ ],

   total_count: 0,

   offset: 0,

   limit: 25

}

 Is there any solution for this bug?

regards

Vishal

History

#1 - 2018-02-22 00:25 - Mischa The Evil

- Status changed from New to Closed

- Priority changed from Urgent to Normal

- Resolution set to Cant reproduce

Both types of request are working correctly on source:/branches/3.4-stable@17205. I can't reproduce your issue. It looks like you are not doing

authentication right, see Rest_api#Authentication.

As we don't provide support through issues, I'll close this issue. If you have further questions, please ask them in the forums (and see submissions

and How to request help for some guidance).

#2 - 2018-02-22 05:01 - vishal gohil

Thank you Mischa The Evil, After setup of Basic authentication, my problem is solved.
https://www.redmine.org/projects/redmine/repository/svn/revisions/17205/entry/branches/3.4-stable
https://www.redmine.org/projects/redmine/wiki/Rest_api#Authentication
https://www.redmine.org/projects/redmine/wiki/Submissions
https://www.redmine.org/boards/2/topics/667
https://www.redmine.org/users/1565
http://www.tcpdf.org

